The current version of SoftRAID is fully compatible with macOS Catalina 10.15

Catalina prevents the SoftRAID driver from being installed or updated when Secure Boot, (System Startup Security) is enabled.
Click for instructions on how to disable Secure Boot to update/install the 5.8.1 SoftRAID driver.